tails-persistence-setup (2.1.1.1-1) feature-11529-enable-persistence-immediately; urgency=medium

  * Enable persistence immediately (refs: #11529)
  * Start tails-check-if-persistence-enabled.service after activating persistence configuration (refs: #11529)
  * tails-persistence-setup 2.1.1.1

 -- segfault <segfault@riseup.net>  Sun, 12 May 2019 18:39:05 +0200

tails-persistence-setup (2.1.1-1) bugfix-16568-more-robust-backup; urgency=medium

  * Make writing persistence.conf.bak more robust (Closes: #16568).

 -- intrigeri <intrigeri@debian.org>  Tue, 30 Apr 2019 09:41:44 +0000

tails-persistence-setup (2.1.0-1) stable; urgency=medium

  * New upstream release:
    - Stop making all warnings fatal.
    - Increase chances that the updated persistence.conf is written to disk
      (might help with #10976).
    - Backup persistence.conf before writing to it (Closes: #16461).
    - Update PO and POT files, import translations from Transifex.

 -- intrigeri <intrigeri@debian.org>  Sun, 17 Mar 2019 08:12:19 +0000

tails-persistence-setup (2.0.3-1) devel; urgency=medium

  * Import PO files from Transifex, update POT and PO files.
  * tails-persistence-setup 2.0.3

 -- anonym <anonym@riseup.net>  Wed, 16 Jan 2019 11:46:08 +0100

tails-persistence-setup (2.0.2-1) bugfix-15894-full-screen-tps; urgency=medium

  * New upstream release:
    - Bootstrap step: don't let the label become too wide, otherwise
      the window is sometimes set to full screen (Closes: #15894).
    - Update translations from Transifex, enable two new ones: bn and ka.

 -- intrigeri <intrigeri@boum.org>  Thu, 01 Nov 2018 11:30:07 +0000

tails-persistence-setup (2.0.1-1) testing; urgency=medium

  * New upstream release:
    - dist.ini: declare missing dependencies.
    - Import translations from Transifex.
    - Enable translation for "es_AR".
  * Bump versioned dependency on tails-perl5lib.

 -- Tails developers <tails@boum.org>  Tue, 04 Sep 2018 08:07:07 +0000

tails-persistence-setup (2.0-1) devel; urgency=medium

  * Add facilities and GUI bits needed by the Additional Software Packages code
    (Closes: #14595):
    - an option to force enabling a preset when creating a persistent volume.
    - a --no-display-finished-message option
    - Support modifying the configuration in batch mode with --no-gui.
    - Support multiple persistent paths per preset (Closes: #6485).
    - Button to open the Additional Software Packages configuration GUI
    - Make live-additional-software.conf world-readable: the ASP code needs it.
  * Revamp the GUI:
     - Replace custom on/off widgets with standard GNOME switch.
     - Remove the GNOME Keyring persistent feature (Closes: #15275).
     - Reorder persistence features (Closes: #15280).
     - Ensure the window in the configuration step is between 450 and 900px high.
     - Improve user-facing strings (Closes: #15544).
     - Always show the scrollbar in the persistence settings screen
       (Closes: #15784).
  * Bugfixes:
    - Fix behavior when attempting to delete an unlocked persistent volume
      (Closes: #15550).
    - Remove the broken file:/// link to our documentation about persistence
      (Closes: #8897).
  * Make it clear that Thunderbird is used for feeds as well (Closes: #15775).
  * Code cleanup, refactoring and development process improvements:
    - Port from Moose and Path::Class to Moo and Path::Tiny.
    - Convert all functions and methods to Function::Parameters.
    - Add type constraints for some function & method arguments.
    - Consistently "use 5.10.1; use strictures 2;".
    - Require Type::Tiny::XS for performance improvements.
    - Ensure all error messages have the correct number of sprintf arguments.
    - Add opt-in support for tracking memory usage.
    - Add assertions to ease debugging.
    - Don't hardcode the expected UID, GID nor username.
    - Simplify code because we can now assume that the persistent filesystem
      is left mounted after a bootstrap operation.
  * debian/control: update build and runtime dependencies.

 -- Tails developers <tails@boum.org>  Thu, 16 Aug 2018 10:26:26 +0000

tails-persistence-setup (1.1.13-1) stable; urgency=medium

  [ bertagaz ]
  * Import PO files from Transifex, update POT and PO files.

  [ intrigeri ]
  * Drop useless usage of FindBin::libs.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Mon, 07 May 2018 21:16:34 +0200

tails-persistence-setup (1.1.12-1) testing; urgency=medium

  * New upstream release:
    - Use standard icon for APT Cache and APT Lists
    - Stop depend on synaptic
    - Import PO files from Transifex, update POT and PO files.
    - Enable new translations.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Thu, 01 Mar 2018 21:23:19 +0100

tails-persistence-setup (1.1.11-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Fri, 15 Sep 2017 23:12:48 +0200

tails-persistence-setup (1.1.10-1) bugfix-12510-bigger-persistence-setup-icon; urgency=medium

  [ xin ]
  * Add a bigger version of the icon

  [ Tails developers ]
  * Update PO files.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Fri, 30 Jun 2017 11:56:25 +0200

tails-persistence-setup (1.1.9-1) testing; urgency=medium

  * New upstream release:
    - Update translations from Transifex and Git pull requests.
  * Declare compatibility with Standards-Version 3.9.8.
  * Replace "icedove" with "thunderbird" in {build,run}-time dependencies.

 -- intrigeri <intrigeri@boum.org>  Sat, 10 Jun 2017 07:27:55 +0000

tails-persistence-setup (1.1.8-1) feature-11712-thunderbird; urgency=medium

  * Import PO files from Transifex, update POT and PO files.
  * Do the Icedove → Thunderbird migration.

 -- anonym <anonym@riseup.net>  Mon, 15 May 2017 13:53:34 +0200

tails-persistence-setup (1.1.7-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@t430.asdf>  Thu, 06 Apr 2017 20:32:35 +0200

tails-persistence-setup (1.1.6-1) testing; urgency=medium

  * [fr] update translation
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Thu, 12 Jan 2017 16:53:49 +0100

tails-persistence-setup (1.1.5-1) testing; urgency=medium

  * Remove erroneusly added strings from POT and PO files.
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sun, 05 Jun 2016 19:46:48 +0200

tails-persistence-setup (1.1.4-1) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sun, 24 Apr 2016 16:44:12 +0200

tails-persistence-setup (1.1.3-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 07 Mar 2016 18:00:49 +0100

tails-persistence-setup (1.1.2-1) testing; urgency=medium

  * Bump versioned {build,run}-time dependency on tails-perl5lib to a version that has a more correct list of dependencies (>= 0.9).
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 25 Jan 2016 17:36:58 +0100

tails-persistence-setup (1.1.1-1) devel; urgency=medium

  * _build_persistence_partition_mountpoint: don't rely on ordering of elements in the list returned by org.freedesktop.UDisks2.Filesystem's MountPoints property.
  * Move Icedove preset up to the place where the Claws Mail used to be.
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 11 Jan 2016 18:28:37 +0100

tails-persistence-setup (1.1-3) devel; urgency=medium

  * Run "author" and "release" tests while building the package.

 -- intrigeri <intrigeri@boum.org>  Wed, 16 Dec 2015 17:31:33 +0000

tails-persistence-setup (1.1-2) devel; urgency=medium

  * Replace {runtime,build}-dep on claws-mail with a build-dep on icedove.

 -- intrigeri <intrigeri@boum.org>  Wed, 16 Dec 2015 17:16:29 +0000

tails-persistence-setup (1.1-1) devel; urgency=medium

  * New upstream release, targeting Jessie.
    - Remove Squeeze-area compatibility code.
    - Update POT and PO files.
  * Bump dependency on Net::DBus to 1.1.0.
  * Let gbp.conf know that the "debian" branch is now targeting Jessie.
  * Drop all patches: applied upstream.

 -- intrigeri <intrigeri@boum.org>  Wed, 16 Dec 2015 17:00:35 +0000

tails-persistence-setup (1.0.27-1) stable; urgency=medium

  * Remove preset for Claws-Mail
  * Import PO files from Transifex, update POT and PO files.
  * Fix test suite for removal of Claws Mail preset.

 -- anonym <anonym@riseup.net>  Mon, 14 Dec 2015 21:43:03 +0100

tails-persistence-setup (1.0.26-1) testing; urgency=medium

  * Update of the french translation
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Tue, 03 Nov 2015 00:27:35 +0100

tails-persistence-setup (1.0.25-1) devel; urgency=medium

  * Add a persistence preset for Icedove.
  * Update PO files from Transifex.

 -- anonym <anonym@riseup.net>  Mon, 26 Oct 2015 19:59:04 +0100

tails-persistence-setup (1.0.24-1) stable; urgency=medium

  * Update PO files from Transifex.

 -- anonym <anonym@riseup.net>  Sun, 20 Sep 2015 19:09:20 +0200

tails-persistence-setup (1.0.23-1) devel; urgency=medium

  * Update POT, and import PO files from Transifex.
  * Enable new Indonesian translation.
  * Remove and disable buggy Russian and Turkish translations.
  * debian/control: add anonym and I to Uploaders.

 -- intrigeri <intrigeri@boum.org>  Wed, 05 Aug 2015 19:09:39 +0200

tails-persistence-setup (1.0.22-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Sat, 02 May 2015 22:57:51 +0200

tails-persistence-setup (1.0.21-1) stable; urgency=medium

  * Add build-dependency on electrum.
  * Import PO files from Transifex, update POT and PO files.

 -- anonym <anonym@riseup.net>  Mon, 30 Mar 2015 15:59:19 +0200

tails-persistence-setup (1.0.20-1+jessie) feature-jessie; urgency=medium

  * Merged Wheezy-based `debian' branch.
  * Import feature/jessie at commit 3dee339, as a quilt patch.

 -- Tails developers <tails@boum.org>  Sat, 14 Mar 2015 16:55:24 +0100

tails-persistence-setup (1.0.20-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 23 Feb 2015 14:10:52 +0100

tails-persistence-setup (1.0.19-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.
  * Add preset for electrum.

 -- Tails developers <tails@boum.org>  Wed, 11 Feb 2015 21:42:54 +0100

tails-persistence-setup (1.0.18-1+jessie2) feature-jessie; urgency=medium

  * Import feature/jessie at commit 488972b, as a quilt patch.

 -- Tails developers <tails@boum.org>  Sat, 14 Mar 2015 15:16:18 +0100

tails-persistence-setup (1.0.18-1+jessie1) feature-jessie; urgency=medium

  * Import feature/jessie at commit 51c5ef8, as a quilt patch.
  * Adjust gbp.conf to make it easier to work on the Jessie branch.
  * Adjust dependencies to match upstream changes.
  * Add build-dependency on libmodule-pluggable-perl.
  * Explicitly build-depend on libmodule-build-perl.
  * Add build-dependency on libfindbin-libs-perl.

 -- Tails developers <tails@boum.org>  Sat, 14 Mar 2015 11:32:01 +0100

tails-persistence-setup (1.0.18-1) stable; urgency=medium

  * Drop TODO: we didn't feel the need to do so since this code was written.
  * Reference tickets in our bug tracker for every XXX/TODO/FIXME.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 13 Jan 2015 19:42:44 +0100

tails-persistence-setup (1.0.17-1) stable; urgency=low

  * tiny translations fixes
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Tue, 02 Dec 2014 11:04:44 +0100

tails-persistence-setup (1.0.16-1) testing; urgency=medium

  * persistence setup translation for Tails 1.2
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Wed, 15 Oct 2014 17:32:08 +0200

tails-persistence-setup (1.0.15-1) testing; urgency=medium

  * We ship the Tor Browser instead of Iceweasel now.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 08 Oct 2014 21:59:01 +0200

tails-persistence-setup (1.0.14-1) stable; urgency=medium

  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 31 Aug 2014 15:51:17 +0200

tails-persistence-setup (1.0.13-1) testing; urgency=medium

  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Sun, 20 Jul 2014 23:18:20 +0200

tails-persistence-setup (1.0.12-1) testing; urgency=medium

  * Pass display_error all the arguments it expects.
  * Exit once the user has closed an error dialog triggered by a failed sanity check (Closes: #7119).
  * Use the nice C and S shortcuts provided by Test::BDD::Cucumber 0.24.
  * Rewrap some step definitions.
  * Update POT and PO files.

 -- Tails developers <tails@boum.org>  Tue, 01 Jul 2014 22:44:58 +0200

tails-persistence-setup (1.0.11-1) devel; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 28 May 2014 23:11:03 +0200

tails-persistence-setup (1.0.10-1) devel; urgency=medium

  * Adapt NetworkManager connections path for Wheezy.
  * Rebuild for Debian Wheezy.

 -- Tails developers <tails@boum.org>  Thu, 01 May 2014 12:44:26 +0200

tails-persistence-setup (1.0.9-1) stable; urgency=medium

  * Tails 0.1 translation
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Sun, 27 Apr 2014 17:21:49 +0200

tails-persistence-setup (1.0.8-1) stable; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Wed, 16 Apr 2014 21:37:52 +0200

tails-persistence-setup (1.0.7-1+wheezy1) devel; urgency=medium

  * Rebuild for Debian Wheezy.
  * Build-depend on libtest-bdd-cucumber-perl and libtest-spec-perl,
    to run more of the test suite.
  * Add {build,runtime}-dependencies on claws-mail, gnome-icon-theme,
    pidgin, synaptic and seahorse-daemon, needed by the test suite
    and the GUI.
  * Stop disabling Test::Spec-based tests: the dependencies are in Wheezy.
  * Run test suite under fakeroot, as required by some Test::Spec-based tests.

 -- Tails developers <tails@boum.org>  Sat, 05 Apr 2014 18:44:59 +0200

tails-persistence-setup (1.0.7-1) testing; urgency=medium

  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <amnesia@boum.org>  Mon, 17 Mar 2014 23:06:16 +0100

tails-persistence-setup (1.0.6-1) devel; urgency=medium

  * Import translations from Transifex
  * Take into account that our installer is now called Tails Installer.
  * Import PO files from Transifex, update POT and PO files.

 -- Tails developers <tails@boum.org>  Thu, 06 Mar 2014 23:49:11 +0100

tails-persistence-setup (1.0.5-1) devel; urgency=medium

  * persistence: optimize window height
  * Import translations from Transifex.
  * Enable fr_CA translation.

 -- Tails developers <tails@boum.org>  Sat, 18 Jan 2014 21:04:41 +0100

tails-persistence-setup (1.0.4-1) devel; urgency=medium

  * Display nicer paths in more places.
  * Bump dependency on Tails' perl5lib to 0.6: it introduces the
    boot_device_file method we are now using.

 -- Tails developers <tails@boum.org>  Wed, 25 Dec 2013 17:25:11 +0100

tails-persistence-setup (1.0.3-1) devel; urgency=medium

  * Make Moose version check more accurate, aka. fix this program on Wheezy.

 -- Tails developers <tails@boum.org>  Mon, 23 Dec 2013 16:36:18 +0100

tails-persistence-setup (1.0.2-1+wheezy1) feature-wheezy; urgency=medium

  * New patch: 0001-Adapt-NetworkManager-connections-path-for-Wheezy.patch.

 -- Tails developers <tails@boum.org>  Sun, 22 Dec 2013 16:14:29 +0100

tails-persistence-setup (1.0.2-1) devel; urgency=medium

  [ kurono <andres.gomez@cern.ch> ]
  * persistence: display nicer paths

  [ Tails developers ]
  * Adapt test suite to attribute changes.
  * Remove spurious trailing whitespace.

 -- Tails developers <tails@boum.org>  Thu, 19 Dec 2013 12:22:20 +0100

tails-persistence-setup (1.0.1-1) testing; urgency=medium

  * New upstream release:
    - Import PO files from Transifex, update POT and PO files.
    - Stop relying on Test-BDD-Cucumber's undocumented internals,
      it broke in 0.17.

 -- Tails developers <tails@boum.org>  Mon, 09 Dec 2013 15:45:11 +0100

tails-persistence-setup (1.0-1) devel; urgency=low

  * Import translations from Transifex.
  * Update POT and PO files.
  * Get back old, but not-buggy-yet, tr.po.

 -- Tails developers <tails@boum.org>  Sat, 30 Nov 2013 15:17:34 +0100

tails-persistence-setup (0.45-1) devel; urgency=low

  * New upstream release.
    - Fix test suite when run with recent dependencies (Debian unstable).
    - Move tons of stuff to the Tails perl5lib.
    - Clearer warning at delete step (thanks to Andres Gomez Ramirez
      <andres.gomez@cern.ch> for the patch).
  * Update dependencies for 0.45.

 -- Tails developers <tails@boum.org>  Fri, 15 Nov 2013 11:46:35 +0100

tails-persistence-setup (0.44-1) devel; urgency=low

  * New upstream release:
    - Add missing import for Carp::Assert::More.
    - Only force initialization order on Moose >= 2.

 -- Tails developers <tails@boum.org>  Thu, 07 Nov 2013 18:07:25 +0100

tails-persistence-setup (0.43-1~2.gbp9b180c) devel; urgency=low

  ** SNAPSHOT build @9b180cdc8c8696488c5c21104b072d12f9c50069 **

  * Add missing dependency on libcarp-assert-more-perl.

 -- Tails developers <tails@boum.org>  Thu, 07 Nov 2013 17:09:11 +0100

tails-persistence-setup (0.43-1~1.gbpf1f9d8) devel; urgency=low

  ** SNAPSHOT build @f1f9d8c552dd022e5de921e09ed846f7b5500313 **

  * New upstream release:
    - Translation updates.
    - Remove "VERSION" placeholders in all .pm files.
    - Don't use D::Z::P::OurPkgVersion: we dropped the VERSION placeholders.
    - Use D::Z::P::ChangelogFromGit, rename old Changes.
    - Disable CheckChangeLog from now, one has to be generated once, first.
    - Force T::P::Setup->configuration to be initialized before it's needed.
    - Force initialization of attributes in the right order.

 -- Tails developers <tails@boum.org>  Thu, 07 Nov 2013 17:05:03 +0100

tails-persistence-setup (0.42-1) devel; urgency=low

  * New upstream release:
    - Import updated translations from Transifex.
    - Update POT and PO files.

 -- Tails developers <tails@boum.org>  Sat, 26 Oct 2013 23:28:33 +0200

tails-persistence-setup (0.41-1) devel; urgency=low

  * New upstream release:
    - Import updated translations from Transifex.
    - Update POT and PO files.

 -- Tails developers <tails@boum.org>  Thu, 17 Oct 2013 13:42:27 +0200

tails-persistence-setup (0.40-1) devel; urgency=low

  * New upstream release:
    - Allow setting up persistence on a device connected via SDIO as well.
    - Support detecting partitions on MMC block devices.
  * Add build-dependency on libtest-fatal-perl (>= 0.010).

 -- Tails developers <tails@boum.org>  Tue, 15 Oct 2013 10:17:09 +0200

tails-persistence-setup (0.39-1~1.gbpeedda7) bugfix-safer-persistence; urgency=low

  ** SNAPSHOT build @eedda742588d767faafdad3e2356da0edf1380f9 **

  * New upstream release:
    - Add a printers persistence preset
    - Update POT and PO files.
    - Fix ownership, permissions and ACL of the persistent volume
      after creating it.
    - Explicitly give live-persistence.conf 0600 permissions.
    - Use persistence.conf instead of the old live-persistence.conf.
    - Take ACLs into account when checking access rights on
      the persistence filesystem.
    - Move from the deprecated CriticTests to Test::Perl::Critic.
    - Move from the deprecated NoTabsTests to Test::NoTabs.
    - Check permissions of existing persistence.conf on startup.
  * Depend on the acl package, that will be needed to set permissions
    on the persistent volume.

 -- Tails developers <tails@boum.org>  Wed, 02 Oct 2013 14:47:43 +0200

tails-persistence-setup (0.35-1) stable; urgency=low

  * New upstream release:
    - Update many translations from Transifex.
    - Update POT and PO files.

 -- Tails developers <tails@boum.org>  Mon, 09 Sep 2013 11:49:41 +0200

tails-persistence-setup (0.34-1) testing; urgency=low

  * Grammar fixes.
  * Update POT and PO files.
  * Update translations from Transifex.

 -- Tails developers <tails@boum.org>  Wed, 07 Aug 2013 16:33:47 +0200

tails-persistence-setup (0.33-1) devel; urgency=low

  * Remove obsolete system_partition_number attribute.

 -- Tails developers <tails@boum.org>  Tue, 30 Jul 2013 13:13:31 +0200

tails-persistence-setup (0.32-1) devel; urgency=low

  * Remove ability to add custom mounts.
  * New translations for gl, nb and si_LK.
  * Update translations for fi and sv.

 -- Tails developers <tails@boum.org>  Wed, 05 Jun 2013 10:50:52 +0200

tails-persistence-setup (0.31-1) devel; urgency=low

  * New upstream release:
    - Format the created persistent volumes as ext4.
    - After creating the persistent volume, wait for all udev events to be
      handled before mounting it.
    - Add icons search path that work on Wheezy.
    - Make indentation consistent.
    - Update tests to match the latest preset additions.
    - Fix license name in dist.ini.
    - Bump copyright years.
  * Update debian/copyright.

 -- Tails developers <tails@boum.org>  Fri, 24 May 2013 16:58:34 +0200

tails-persistence-setup (0.30-1) devel; urgency=low

  * Update translations for many languages.

 -- Tails developers <tails@boum.org>  Fri, 03 May 2013 15:07:46 +0200

tails-persistence-setup (0.29-1) feature-live-boot-3.x; urgency=low

  * Imported Upstream version 0.29
    - Use new canonical path to the Live OS mountpoint instead of relying
      on a compatibility symlink.
    - Update hard-coded numbers in test suite: we've added a few presets
      a while ago.

 -- Tails developers <tails@boum.org>  Thu, 11 Apr 2013 12:19:03 +0200

tails-persistence-setup (0.28-1) devel; urgency=low

  * Imported Upstream version 0.28
    - Don't fix attributes on Tails system partition after creating
      or deleting partitions.
      We're going to backport the parted bugfix so this is not needed
      anymore. Rationale: we want t-p-s to do all its disk operations
      through udisks, so that the live user does not need write access
      to the Tails USB disk.
      Details: Debian#673042,
      todo/palimpsest:_do_not_make_Tails_USB_unbootable.
    - Update Farsi and Chinese translations,
      import new translations for Finnish and Swedish.
  * Drop dependency on gdisk: sgdisk is not used anymore.

 -- Tails developers <tails@boum.org>  Sat, 23 Mar 2013 17:36:20 +0100

tails-persistence-setup (0.27-1) testing; urgency=low

  * Imported Upstream version 0.27:
    - Update translations from Transifex:
      ar, bg, es, fr, nl, pl and zh_CN.
  * Fix old and invalid debian/changelog entries.

 -- Tails developers <tails@boum.org>  Thu, 14 Feb 2013 17:46:28 +0100

tails-persistence-setup (0.26-1) devel; urgency=low

  * Imported Upstream version 0.26
    - Update French, German and Italian translations.

 -- Tails developers <tails@boum.org>  Thu, 10 Jan 2013 11:42:22 +0100

tails-persistence-setup (0.25-1) devel; urgency=low

  * Imported Upstream version 0.25
    - Update PO files.
    - Import new translations (Hebrew and Latvian) from Transifex.
    - Update Basque and Portugues (Brazil) translations from Transifex.
    - Update French translation.
    - Enable Arabic, Bulgarian, German, Greek, Basque, Farsi, Hebrew,
      Hungarian and Latvian languages. The PO files were previously
      imported without enabling the languages, so they were actually
      not used.

 -- Tails developers <amnesia@boum.org>  Thu, 13 Dec 2012 10:41:19 +0100

tails-persistence-setup (0.24-1) testing; urgency=low

  * Imported Upstream version 0.24
    - Import Bulgarian translation.
    - Enable Bulgarian and Chinese languages.

 -- Tails developers <amnesia@boum.org>  Sun, 25 Nov 2012 12:31:20 +0100

tails-persistence-setup (0.23-1) devel; urgency=low

  [ Tails developers ]
  * Imported Upstream version 0.23:
    - Arabic language updates from NDI.
    - Russian language updates from NDI.
    - Import zh_CN translation from Transifex.

 -- Tails developers <amnesia@boum.org>  Wed, 14 Nov 2012 14:26:32 +0100

tails-persistence-setup (0.22-1) devel; urgency=low

  [ Tails developers ]
  * Imported Upstream version 0.22:
    - Fix ambigious label.
    - Add preset for browser bookmarks.

 -- Tails developers <amnesia@boum.org>  Tue, 13 Nov 2012 10:12:06 +0000

tails-persistence-setup (0.21-1) UNRELEASED; urgency=low

  [ Tails developers ]
  * Imported Upstream version 0.21
    - Don't package incomplete translations.
    - Import completed translations from Transifex.
    - Add Arabic translations.

 -- Tails developers <amnesia@boum.org>  Wed, 07 Nov 2012 12:34:56 +0000

tails-persistence-setup (0.20-1) UNRELEASED; urgency=low

  [ Tails developers ]
  * Imported Upstream version 0.20
    - Enable forgotten translation languages.

 -- Tails developers <amnesia@boum.org>  Mon, 29 Oct 2012 12:34:57 +0000

tails-persistence-setup (0.19-1) UNRELEASED; urgency=low

  [ Tails developers ]
  * Force using pristine-tar.
  * Imported Upstream version 0.19
    - Bumped the volume creation timeout to one hour.
    - Update translations.

 -- Tails developers <amnesia@boum.org>  Mon, 29 Oct 2012 12:34:56 +0000

tails-persistence-setup (0.18-1) UNRELEASED; urgency=low

  [ Tails developers ]
  * Imported Upstream version 0.18
    - Add preset for NetworkManager connections.
    - Update translations.

 -- Tails developers <amnesia@boum.org>  Thu, 06 Sep 2012 12:34:56 +0000

tails-persistence-setup (0.17-1) UNRELEASED; urgency=low

  [ Tails developers ]
  * Imported Upstream version 0.17
    - Move translators hints to the right place.
    - Bump mkfs timeout up to 600 minutes.
    - Tell the user what's going on when the Tails boot device cannot be found.

 -- Tails developers <amnesia@boum.org>  Wed, 06 Jun 2012 14:04:58 +0200

tails-persistence-setup (0.16-1) unstable; urgency=low

  * Imported Upstream version 0.16
    - Add source=Persistent option for this preset.

 -- Tails developers <tails@boum.org>  Wed, 25 Apr 2012 16:48:53 +0200

tails-persistence-setup (0.15-1) unstable; urgency=low

  * Imported Upstream version 0.14
       Update translations.

 -- Tails developers <tails@boum.org>  Thu, 19 Apr 2012 19:24:04 +0200

tails-persistence-setup (0.14-1) unstable; urgency=low

  * Imported Upstream version 0.14
       Rephrase a bunch of GUI messages.
       Fix URL to local documentation.
       Update PO and POT files.

 -- Tails developers <tails@boum.org>  Thu, 12 Apr 2012 12:13:39 +0200

tails-persistence-setup (0.13-1) unstable; urgency=low

  * Imported Upstream version 0.13
       Update to match the rename of the "linkfiles" option to "link".

 -- Tails developers <tails@boum.org>  Wed, 11 Apr 2012 10:51:25 +0200

tails-persistence-setup (0.12-1) unstable; urgency=low

  * Imported Upstream version 0.12
       Take into account live.persist was renamed to live-persistence.conf.

 -- Tails developers <tails@boum.org>  Sun, 08 Apr 2012 19:47:04 +0200

tails-persistence-setup (0.11-1) unstable; urgency=low

  * Imported Upstream version 0.11
       Warn before suggesting to close the application.
       Import translation, refresh PO files.

 -- Tails developers <tails@boum.org>  Mon, 26 Mar 2012 15:43:41 +0200

tails-persistence-setup (0.10-1) unstable; urgency=low

  * Imported Upstream version 0.10
       Adapt to new live.persist format.

 -- Tails developers <tails@boum.org>  Wed, 21 Mar 2012 15:51:52 +0100

tails-persistence-setup (0.9-1) unstable; urgency=low

  * Imported Upstream version 0.9
       Display GNOME Keyring preset before APT ones.
       Disable the "dotfiles" preset by default.
       More tests.
       More consistent naming of the Tails USB installer.
       Some robustness improvements.
       Fix buggy merging of presets and live.persist with Squeeze's
       List::MoreUtils.
       Make it clear any changes only take effect after rebooting.
       Fix automatic steps selection and sanity checks.
       Harden lock_luks_device to guard against the udisks timeout bug.

 -- Tails developers <tails@boum.org>  Tue, 20 Mar 2012 15:56:35 +0100

tails-persistence-setup (0.8.3-1) unstable; urgency=low

  * Imported Upstream version 0.8.3:
       Don't ever try to run non-existing reboot step.
       Add safeguards in case we add more steps without checks in the future.
       Add "GNOME Keyring" configuration preset.
       Split APT presets into lists and packages.
       Make APT packages cache presets store /var/cache/apt/archives/.

 -- Tails developers <tails@boum.org>  Mon, 19 Mar 2012 15:19:29 +0100

tails-persistence-setup (0.8.2-1) unstable; urgency=low

  * Imported Upstream version 0.8.2
       Use a fancy specific icon for each preset button.
       Fix the icon for custom configuration buttons.
       Fix the delete launcher menu icon.
       fsync live.persist after saving.
  * Remove obsolete dependency on libmoosex-declare-perl.
  * Add missing epoch to versioned dependency on libgtk2-perl.
  * Version the dependency on libglib-perl.

 -- Tails developers <tails@boum.org>  Mon, 19 Mar 2012 12:48:19 +0100

tails-persistence-setup (0.8.1-1) unstable; urgency=low

  * Imported Upstream version 0.8.1:
       Remove unneeded dependency on MooseX::Declare.
       A few minor PO file updates.
       Use absolute paths in custom-mounts sources.
       Configure: check if persistence is enabled iff. no bootstrap step
       was run.
  * Update debian/copyright.
  * Cleanup dependencies and control files using Config::Model.

 -- Tails developers <tails@boum.org>  Mon, 19 Mar 2012 09:34:37 +0100

tails-persistence-setup (0.8-2) unstable; urgency=low

  * Disable Test::Spec tests by moving them out of the way, then back in place.

 -- Tails developers <tails@boum.org>  Sun, 18 Mar 2012 23:55:52 +0100

tails-persistence-setup (0.8-1) unstable; urgency=low

  * New upstream release:
       Make sanity check messages translatable.
       Fix check to skip feature tests if Test::BDD::Cucumber is not installed.
       Configure step:
         - is now working, with lots of tests.
         - support adding custom (source,destination) mappings.
         - "checked" icon: consistent behaviour, right align.
         - use lighter text color for disabled items.
         - enable `Persistent' personal data directory preset by default.

 -- Tails developers <tails@boum.org>  Sun, 18 Mar 2012 23:47:39 +0100

tails-persistence-setup (0.7-1) unstable; urgency=low

  * New upstream release:
       Various robustness and GUI improvements.
       Bootstrap:
         - mount persistence partition in the end if needed.
         - set TailsData label on the persistent filesystem too.
       Delete:
         - check that persistence is disabled.
         - umount the partition if needed.
         - add launcher that runs this step.
       Configure:
         - check that persistence is enabled read-write.
         - read, parse and write live.persist configuration files.
         - add persistence configuration presets.
         - support merging presets with a configuration file.
         - initial GUI.
  * Update dependencies.
  * Install tails-persistence-delete.desktop.
  * Remove tests based on Test::Spec.

 -- Tails developers <tails@boum.org>  Fri, 16 Mar 2012 15:20:05 +0100

tails-persistence-setup (0.6-1) unstable; urgency=low

  * New upstream release:
    - Ship an icon and use it in the .desktop file.
    - Only run the bootstrap step by default.
  * Install icon file.

 -- Tails developers <tails@boum.org>  Sat, 25 Feb 2012 15:59:06 +0100

tails-persistence-setup (0.5-1) unstable; urgency=low

  * New upstream release:
    - Use bigger timeout for partition create operations.
  * Override Lintian false positive.

 -- Tails developers <tails@boum.org>  Mon, 20 Feb 2012 20:14:35 +0100

tails-persistence-setup (0.4-1) unstable; urgency=low

  * New upstream release:
    - Set correct attributes on Tails system partition after creating
      or deleting partitions (workaround udisks bug).
    - Actually use passphrase entered by the user.
    - Hide introduction text once the go button is pressed.
  * Add missing year to copyright notice.
  * Update d/copyright to latest dep5 format.
  * Depend on gdisk.
  * Build and install manpage.
  * Install .desktop file.
  * Bump dependency on libglib-perl and libgtk2-perl.

 -- Tails developers <tails@boum.org>  Mon, 20 Feb 2012 17:39:04 +0100

tails-persistence-setup (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Tails developers <tails@boum.org>  Mon, 20 Feb 2012 11:19:01 +0100

tails-persistence-setup (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Tails developers <tails@boum.org>  Thu, 16 Feb 2012 23:00:13 +0100

tails-persistence-setup (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Tails developers <tails@boum.org>  Thu, 16 Feb 2012 22:34:54 +0100
